Skip to main content

Class ExportRecordsToTableRequest.Options

java.lang.Object
com.gpudb.protocol.ExportRecordsToTableRequest.Options

public static final class ExportRecordsToTableRequest.Options extends Object
A set of string constants for the ExportRecordsToTableRequest parameter options.

Optional parameters.

  • Field Details

    • BATCH_SIZE

      public static final String BATCH_SIZE
      Batch size, which determines how many rows to export per round trip. The default value is ‘200000’.
    • DATASINK_NAME

      public static final String DATASINK_NAME
      Name of an existing external data sink to which table name specified in tableName will be exported.
    • JDBC_SESSION_INIT_STATEMENT

      public static final String JDBC_SESSION_INIT_STATEMENT
      Executes the statement per each JDBC session before doing actual load. The default value is ”.
    • JDBC_CONNECTION_INIT_STATEMENT

      public static final String JDBC_CONNECTION_INIT_STATEMENT
      Executes the statement once before doing actual load. The default value is ”.
    • REMOTE_TABLE

      public static final String REMOTE_TABLE
      Name of the target table to which source table is exported. When this option is specified remote_query cannot be specified. The default value is ”.
    • USE_ST_GEOMFROM_CASTS

      public static final String USE_ST_GEOMFROM_CASTS
      Wraps parameterized variables with st_geomfromtext or st_geomfromwkb based on source column type. Supported values:The default value is FALSE.
    • TRUE

      public static final String TRUE
    • FALSE

      public static final String FALSE
    • USE_INDEXED_PARAMETERS

      public static final String USE_INDEXED_PARAMETERS
      Uses $n style syntax when generating insert query for remote_table option. Supported values:The default value is FALSE.